Bug 216623 - www/squidview: fails to build with clang 4.0
Summary: www/squidview: fails to build with clang 4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords: needs-patch
Depends on:
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-01-30 22:35 UTC by Jan Beich
Modified: 2017-02-02 11:13 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (danilo)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-01-30 22:35:06 UTC
squidview.cpp:1005:15: error: ordered comparison between pointer and zero ('FILE *' (aka '__sFILE *') and 'int')
  if (fOutput <= 0)
      ~~~~~~~ ^  ~

build log: http://package18.nyi.freebsd.org/data/headamd64PR216008-default/2017-01-29_16h09m05s/logs/errors/squidview-0.85.log
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 commit-hook freebsd_committer 2017-02-02 11:11:57 UTC
A commit references this bug:

Author: danilo
Date: Thu Feb  2 11:10:53 UTC 2017
New revision: 433140
URL: https://svnweb.freebsd.org/changeset/ports/433140

Log:
  - Update to 0.86

  PR:		216623

Changes:
  head/www/squidview/Makefile
  head/www/squidview/distinfo
Comment 2 Danilo Egea Gondolfo freebsd_committer 2017-02-02 11:13:21 UTC
Fixed upstream. Thanks!